Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.sockets
Class TimeoutServerSocket

    java.lang.Object
      java.net.ServerSocket
          org.jboss.net.sockets.TimeoutServerSocket

public class TimeoutServerSocket
extends ServerSocket

A ServerSocket that returns a TimeoutSocket from the overriden accept.

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`TimeoutServerSocket(int port)`
`TimeoutServerSocket(int port, int backlog)`
`TimeoutServerSocket(int port, int backlog, InetAddress bindAddr)`

Method Summary
`Socket` | `accept()`

Methods inherited from class java.net.ServerSocket
`bind, bind, close, getChannel, getInetAddress, getLocalPort, getLocalSocketAddress, getReceiveBufferSize, getReuseAddress, getSoTimeout, implAccept, isBound, isClosed, setReceiveBufferSize, setReuseAddress, setSocketFactory, setSoTimeout, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimeoutServerSocket

    public TimeoutServerSocket(int port)
                        throws IOException

### TimeoutServerSocket

    public TimeoutServerSocket(int port,
                               int backlog)
                        throws IOException

### TimeoutServerSocket

    public TimeoutServerSocket(int port,
                               int backlog,
                               InetAddress bindAddr)
                        throws IOException

Method Detail

### accept

    public Socket accept()
                  throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.